Bug 1126919 - [RFE] activation keys that have one or more of the associated subscriptions fully consumed should be indicated as unavailable
Summary: [RFE] activation keys that have one or more of the associated subscriptions f...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Activation Keys
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Perry Gagne
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2014-08-05 15:15 UTC by Tom McKay
Modified: 2019-02-25 20:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 14:22:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6938 None None None 2016-04-22 16:13:31 UTC

Description Tom McKay 2014-08-05 15:15:35 UTC
Since subscriptions attached to an actkey are not consumed at that point but only referenced, there can be a time when one or more of the subs themselves have no more quantity left. This will result in any attempt to use the act key to register to fail.

Indicating this in the UI will be very useful to avoid user confusion during debug of registration failures.

Comment 1 Tom McKay 2014-08-05 15:15:36 UTC
Created from redmine issue http://projects.theforeman.org/issues/6938

Comment 3 Bryan Kearney 2015-08-25 17:59:57 UTC
Upstream bug component is WebUI

Comment 4 Bryan Kearney 2015-08-25 20:04:04 UTC
Upstream bug component is WebUI

Comment 5 Bryan Kearney 2015-08-25 20:24:05 UTC
Upstream bug component is Activation Keys

Comment 6 Bryan Kearney 2017-05-30 14:22:51 UTC
Thank you for your interest in Satellite 6. We have evaluated this feature request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.